Criar um novo saque
curl --request POST \
--url https://api.abacatepay.com/v1/withdraw/create \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"externalId": "withdraw-1234",
"method": "PIX",
"amount": 5000,
"pix": {
"type": "CPF",
"key": "123.456.789-01"
},
"description": "Saque para conta principal"
}
'import requests
url = "https://api.abacatepay.com/v1/withdraw/create"
payload = {
"externalId": "withdraw-1234",
"method": "PIX",
"amount": 5000,
"pix": {
"type": "CPF",
"key": "123.456.789-01"
},
"description": "Saque para conta principal"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
externalId: 'withdraw-1234',
method: 'PIX',
amount: 5000,
pix: {type: 'CPF', key: '123.456.789-01'},
description: 'Saque para conta principal'
})
};
fetch('https://api.abacatepay.com/v1/withdraw/create', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "tran_123456",
"status": "PENDING",
"devMode": true,
"receiptUrl": "https://abacatepay.com/receipt/tran_123456",
"kind": "WITHDRAW",
"amount": 5000,
"platformFee": 80,
"createdAt": "2025-03-24T21:50:20.772Z",
"updatedAt": "2025-03-24T21:50:20.772Z",
"externalId": "withdraw-1234"
},
"error": null
}{
"error": "Token de autenticação inválido ou ausente."
}API Reference
Criar um novo saque
Permite que você crie um novo saque para transferir valores da sua conta para uma chave PIX.
POST
/
withdraw
/
create
Criar um novo saque
Authorizations
Cabeçalho de autenticação Bearer no formato Bearer <abacatepay-api-key> onde <abacatepay-api-key> é a sua chave de API.
Body
application/json
Dados necessários para criar um saque.
Identificador único do saque em seu sistema.
Example:
"withdraw-1234"
Método de saque disponível.
Available options:
PIX Example:
"PIX"
Valor do saque em centavos.
Required range:
x >= 350Example:
5000
Dados da chave PIX para receber o saque.
Show child attributes
Show child attributes
Descrição opcional do saque.
Example:
"Saque para conta principal"
Was this page helpful?
⌘I